Bug 906820 - (CVE-2011-4969) CVE-2011-4969 jquery: Cross-site scripting (XSS) via $(location.hash) and $(#<tag>)
CVE-2011-4969 jquery: Cross-site scripting (XSS) via $(location.hash) and $(#...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110606,repor...
: Security
Depends On: 896496 896497 896577 896578 901599 901600
Blocks: 896654
  Show dependency treegraph
 
Reported: 2013-02-01 10:12 EST by Jan Lieskovsky
Modified: 2016-03-04 06:50 EST (History)
5 users (show)

See Also:
Fixed In Version: JQuery 1.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-10 01:04:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-02-01 10:12:18 EST
A cross-site scripting (XSS) flaw was found in the way jQuery, a fast, small, and feature-rich JavaScript library, performed sanitization of location.hash and <tag> arguments in certain circumstances. A remote attacker could provide a specially-crafted web page to a web-based application using the jQuery library that, when processed would lead to arbitrary HTML or web script execution in the context of logged-in user session.

Upstream bug report:
[1] http://bugs.jquery.com/ticket/9521

References:
[2] http://blog.jquery.com/2011/09/01/jquery-1-6-3-released/
[3] http://www.openwall.com/lists/oss-security/2013/01/31/3
Comment 1 Jan Lieskovsky 2013-02-01 10:22:52 EST
Created drupal7-jquery_update tracking bugs for this issue

Affects: fedora-all [bug 896496]
Affects: epel-all [bug 896497]
Comment 2 Jan Lieskovsky 2013-02-01 10:23:19 EST
Created python-tw-jquery tracking bugs for this issue

Affects: fedora-all [bug 896577]
Affects: epel-all [bug 896578]
Comment 3 Jan Lieskovsky 2013-02-01 10:23:47 EST
Created python-tw2-jquery tracking bugs for this issue

Affects: fedora-17 [bug 901599]
Affects: epel-6 [bug 901600]
Comment 4 Scott Dodson 2013-02-10 01:04:48 EST
All relevant updates have been pushed.

Note You need to log in before you can comment on or make changes to this bug.